<?php

/**
 * Timetable.class.php
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * @author Jrg Rpke <roepke@uni-trier.de>
 * @package portaLE
 * @copyright Universitt Trier, Koordinationsstelle E-Learning, 2010
 * @version 1.0.0
 * @version 1.0.2 - 22.11.2010 - Jrg Rpke <roepke@uni-trier.de>
 */
 
// to clean up Stud.IP database, please synchronize against with the cleaning-cronjob from OM server.
define('CLEAN', 3600); //86400 -> clean database every 24 hour; 0 never clean the Stud.IP database

//conference types in openmeetings:
define('CONFERENCE', 1);
define('AUDIENCE', 2);
define('RESTRICTED', 3);
define('INTERVIEW', 4);

define('MAX_CONFERENCE_NUMBER', 10);  //max. number of conferences that can be reserved for the same seminar; 0 means no limit
define('RESERVATION_PERIOD', 180);  //period of days in which reservations are accepted; 0 means no restriction
define('NUMBER_OF_YEARS', 2);  //number of years that are available in the drop down menu
define('TIME_OFFSET', 900);  //period of seconds before and after a conference in which the room is opened 
define('STORAGE_TIME', 2592000);  //period of seconds for which past conferences are stored
define('WAITINGROOM_REFRESH_PERIOD', 10);  //period in seconds after which the waiting room ist refreshed
define('MAIL_ADMIN', '...@...');  //if this constant is defined, a mail to the adress is sent in case of a soap fault  

global
	$OM_SERVERS,
	$ROOMTYPES,
	$LENGTH_SELECTION,
	$NUMBERS_OF_PARTICIPANTS,
	$INDIRECT_ENTRY_ROOM,
	$ANARCHY_ROOM,
	$TO_TEST,
	$BENEFICIARY_DOZENTIN;
	
// ADMIN: Openmeetings-User mit Adminrechten + ADMIN_PW; SEC_KEY: Schlssel fr Soap-Verbindungsaufbau
$OM_SERVERS = array(
	"portaLE1" =>	array(
			"HOST" => "...",
			"PORT" => "5080",
			"ADMIN" => "...",
			"ADMIN_PW" => "...",
			"SEC_KEY" => "...",
			"INSTALLATION" => "...",
			"SHARINGINTERFACE_LOCATION" => "http://.../.../server.php",  //the sharinginterface is a set of additional soap functions that are not implemented in the om interface
			"SHARINGINTERFACE_URI" => "http://.../.../",
			"SHARINGINTERFACE_STYLE" => "SOAP_RPC",
			"SHARINGINTERFACE_USE" => "SOAP_ENCODED"
		)
	);
$ROOMTYPES = array(	"Vorlesung" =>	RESTRICTED, "Seminar" => AUDIENCE, "Meeting" => CONFERENCE, "Sprechstunde" => CONFERENCE, "Interview" => INTERVIEW);
$INDIRECT_ENTRY_ROOM = array("Sprechstunde");  //roomtypes whith waiting room
$ANARCHY_ROOM = array("Meeting", "Sprechstunde");  //roomtypes in which every member is a moderator by default
$LENGTH_SELECTION = array(15, 45, 90, 120, 240);  //lengths of conferences in minutes that can be chosen
$NUMBERS_OF_PARTICIPANTS = array(2,3,5,10,15,20,30,40);  //numbers of participants that can be chosen
$TO_TEST = FALSE; // TRUE: Testbetrieb, nur User aus $BENEFICIARY_DOZENTIN durfen virt. Rume anlegen
$BENEFICIARY_DOZENTIN = array('7ef46369222cebfac1a8939760347920', '83ea37fe8f5f2d600e2a99b124188069', '724c980a9cdf3c9ae374802f6de3822f'); // DozentIn mit Zugriffsberechtigung
?>
